package cn.com.poc.agent_application.model;	

import java.io.Serializable;
import cn.com.yict.framemax.data.model.BaseModelClass;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Version;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;

/**
 * Model class for biz_agent_application_api_files
 * api对话文件记录
 */
@Entity
@Table(name = "biz_agent_application_api_files")
@DynamicInsert
@DynamicUpdate
public class BizAgentApplicationApiFilesModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** id
    *
    */ 
    private java.lang.Long id;
    
    @Column(name = "id",length = 19)
	@Id @GeneratedValue(strategy = GenerationType.AUTO) 
    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
        super.addValidField("id");
    }
    
  
    /** agent_id
    *应用id
    */ 
    private java.lang.String agentId;
    
    @Column(name = "agent_id",length = 120)
    public java.lang.String getAgentId(){
        return this.agentId;
    }
    
    public void setAgentId(java.lang.String agentId){
        this.agentId = agentId;
        super.addValidField("agentId");
    }
    
  
    /** conversation_id
    *对话id
    */ 
    private java.lang.String conversationId;
    
    @Column(name = "conversation_id",length = 120)
    public java.lang.String getConversationId(){
        return this.conversationId;
    }
    
    public void setConversationId(java.lang.String conversationId){
        this.conversationId = conversationId;
        super.addValidField("conversationId");
    }
    
  
    /** file_id
    *文件id
    */ 
    private java.lang.String fileId;
    
    @Column(name = "file_id",length = 120)
    public java.lang.String getFileId(){
        return this.fileId;
    }
    
    public void setFileId(java.lang.String fileId){
        this.fileId = fileId;
        super.addValidField("fileId");
    }
    
  
    /** file_url
    *文件地址
    */ 
    private java.lang.String fileUrl;
    
    @Column(name = "file_url",length = 200)
    public java.lang.String getFileUrl(){
        return this.fileUrl;
    }
    
    public void setFileUrl(java.lang.String fileUrl){
        this.fileUrl = fileUrl;
        super.addValidField("fileUrl");
    }
    
  
    /** expired_time
    *过期时间，有效期7天
    */ 
    private java.util.Date expiredTime;
    
    @Column(name = "expired_time",length = 19)
    public java.util.Date getExpiredTime(){
        return this.expiredTime;
    }
    
    public void setExpiredTime(java.util.Date expiredTime){
        this.expiredTime = expiredTime;
        super.addValidField("expiredTime");
    }
    
  
    /** is_deleted
    *是否删除 1、Y 是 2、N 否
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted",length = 1)
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private java.lang.String creator;
    
    @Column(name = "CREATOR",length = 225)
    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
        super.addValidField("creator");
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME",length = 19)
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;
    
    @Column(name = "MODIFIER",length = 225)
    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
        super.addValidField("modifier");
    }
    
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME",length = 19)
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }
    
  
    /** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;
    
    @Column(name = "SYS_VERSION",length = 10)
	@Version
    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }
    

}