package cn.com.poc.data_analyze.model;	

import java.io.Serializable;
import cn.com.yict.framemax.data.model.BaseModelClass;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Version;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;

/**
 * Model class for biz_data_analyze_collect
 * Agent应用数据分析汇总表
 */
@Entity
@Table(name = "biz_data_analyze_collect")
@DynamicInsert
@DynamicUpdate
public class BizDataAnalyzeCollectModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** id
    *
    */ 
    private java.lang.Long id;
    
    @Column(name = "id",length = 19)
	@Id @GeneratedValue(strategy = GenerationType.AUTO) 
    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
        super.addValidField("id");
    }
    
  
    /** relation_id
    *关联id
    */ 
    private java.lang.String relationId;
    
    @Column(name = "relation_id",length = 120)
    public java.lang.String getRelationId(){
        return this.relationId;
    }
    
    public void setRelationId(java.lang.String relationId){
        this.relationId = relationId;
        super.addValidField("relationId");
    }
    
  
    /** type
    *
    */ 
    private java.lang.String type;
    
    @Column(name = "type",length = 15)
    public java.lang.String getType(){
        return this.type;
    }
    
    public void setType(java.lang.String type){
        this.type = type;
        super.addValidField("type");
    }
    
  
    /** channel
    *渠道
    */ 
    private java.lang.String channel;
    
    @Column(name = "channel",length = 15)
    public java.lang.String getChannel(){
        return this.channel;
    }
    
    public void setChannel(java.lang.String channel){
        this.channel = channel;
        super.addValidField("channel");
    }
    
  
    /** total_points
    *消耗积分数
    */ 
    private java.lang.Long totalPoints;
    
    @Column(name = "total_points",length = 22)
    public java.lang.Long getTotalPoints(){
        return this.totalPoints;
    }
    
    public void setTotalPoints(java.lang.Long totalPoints){
        this.totalPoints = totalPoints;
        super.addValidField("totalPoints");
    }
    
  
    /** usage_count
    *使用量
    */ 
    private java.lang.Long usageCount;
    
    @Column(name = "usage_count",length = 19)
    public java.lang.Long getUsageCount(){
        return this.usageCount;
    }
    
    public void setUsageCount(java.lang.Long usageCount){
        this.usageCount = usageCount;
        super.addValidField("usageCount");
    }
    
  
    /** users_count
    *使用人数
    */ 
    private java.lang.Integer usersCount;
    
    @Column(name = "users_count",length = 10)
    public java.lang.Integer getUsersCount(){
        return this.usersCount;
    }
    
    public void setUsersCount(java.lang.Integer usersCount){
        this.usersCount = usersCount;
        super.addValidField("usersCount");
    }
    
  
    /** data_date
    *数据日期
    */ 
    private java.util.Date dataDate;
    
    @Column(name = "data_date",length = 10)
    public java.util.Date getDataDate(){
        return this.dataDate;
    }
    
    public void setDataDate(java.util.Date dataDate){
        this.dataDate = dataDate;
        super.addValidField("dataDate");
    }
    
  
    /** is_deleted
    *是否删除
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted",length = 1)
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private java.lang.String creator;
    
    @Column(name = "CREATOR",length = 50)
    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
        super.addValidField("creator");
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME",length = 19)
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;
    
    @Column(name = "MODIFIER",length = 50)
    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
        super.addValidField("modifier");
    }
    
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME",length = 19)
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }
    
  
    /** SYS_VERSION
    *版本号
    */ 
    private java.lang.Integer sysVersion;
    
    @Column(name = "SYS_VERSION",length = 10)
	@Version
    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }
    

}