package cn.com.poc.equity.model;	

import java.io.Serializable;
import cn.com.yict.framemax.data.model.BaseModelClass;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Version;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;

/**
 * Model class for biz_member_point_transaction_history
 * 积分变更流水表
 */
@Entity
@Table(name = "biz_member_point_transaction_history")
@DynamicInsert
@DynamicUpdate
public class BizMemberPointTransactionHistoryModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** id
    *
    */ 
    private java.lang.Long id;
    
    @Column(name = "id",length = 19)
	@Id @GeneratedValue(strategy = GenerationType.AUTO) 
    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
        super.addValidField("id");
    }
    
  
    /** transaction_sn
    *变更流水号
    */ 
    private java.lang.String transactionSn;
    
    @Column(name = "transaction_sn",length = 100)
    public java.lang.String getTransactionSn(){
        return this.transactionSn;
    }
    
    public void setTransactionSn(java.lang.String transactionSn){
        this.transactionSn = transactionSn;
        super.addValidField("transactionSn");
    }

    /** member_id
     *目标用户id
     */
    private java.lang.Long memberId;

    @Column(name = "member_id",length = 19)
    public java.lang.Long getMemberId(){
        return this.memberId;
    }

    public void setMemberId(java.lang.Long memberId){
        this.memberId = memberId;
        super.addValidField("memberId");
    }
  
    /** modify_event
    *变更事件  expired-过期  top_up-充值 use-使用
    */ 
    private java.lang.String modifyEvent;
    
    @Column(name = "modify_event",length = 10)
    public java.lang.String getModifyEvent(){
        return this.modifyEvent;
    }
    
    public void setModifyEvent(java.lang.String modifyEvent){
        this.modifyEvent = modifyEvent;
        super.addValidField("modifyEvent");
    }
    
  
    /** modify_event_info
    *变更事件详情
    */ 
    private java.lang.String modifyEventInfo;
    
    @Column(name = "modify_event_info",length = 1073741824)
    public java.lang.String getModifyEventInfo(){
        return this.modifyEventInfo;
    }
    
    public void setModifyEventInfo(java.lang.String modifyEventInfo){
        this.modifyEventInfo = modifyEventInfo;
        super.addValidField("modifyEventInfo");
    }
    
  
    /** modify_target_id
    *变更 用户积分表主键id
    */ 
    private java.lang.Long modifyTargetId;
    
    @Column(name = "modify_target_id",length = 19)
    public java.lang.Long getModifyTargetId(){
        return this.modifyTargetId;
    }
    
    public void setModifyTargetId(java.lang.Long modifyTargetId){
        this.modifyTargetId = modifyTargetId;
        super.addValidField("modifyTargetId");
    }
    
  
    /** point_change_num
    *变更数
    */ 
    private java.lang.Long pointChangeNum;
    
    @Column(name = "point_change_num",length = 19)
    public java.lang.Long getPointChangeNum(){
        return this.pointChangeNum;
    }
    
    public void setPointChangeNum(java.lang.Long pointChangeNum){
        this.pointChangeNum = pointChangeNum;
        super.addValidField("pointChangeNum");
    }
    
  
    /** is_deleted
    *是否删除 Y 是  N 否
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted",length = 1)
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private java.lang.String creator;
    
    @Column(name = "CREATOR",length = 11)
    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
        super.addValidField("creator");
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME",length = 19)
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;
    
    @Column(name = "MODIFIER",length = 11)
    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
        super.addValidField("modifier");
    }
    
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME",length = 19)
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }
    
  
    /** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;
    
    @Column(name = "SYS_VERSION",length = 10)
	@Version
    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }
    

}