package cn.com.poc.equity.model;	

import java.io.Serializable;
import cn.com.yict.framemax.data.model.BaseModelClass;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Version;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;

/**
 * Model class for biz_payment_package_configuration
 * 资源套餐配置
 */
@Entity
@Table(name = "biz_payment_package_configuration")
@DynamicInsert
@DynamicUpdate
public class BizPaymentPackageConfigurationModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** id
    *
    */ 
    private java.lang.Integer id;
    
    @Column(name = "id",length = 10)
	@Id @GeneratedValue(strategy = GenerationType.AUTO) 
    public java.lang.Integer getId(){
        return this.id;
    }
    
    public void setId(java.lang.Integer id){
        this.id = id;
        super.addValidField("id");
    }
    
  
    /** type
    *类型 normal-普通 professional-专业版 ， ultimate-旗舰版
    */ 
    private java.lang.String type;
    
    @Column(name = "type",length = 100)
    public java.lang.String getType(){
        return this.type;
    }
    
    public void setType(java.lang.String type){
        this.type = type;
        super.addValidField("type");
    }
    
  
    /** domain
    *资源包领域 point-积分包 equity-权益包
    */ 
    private java.lang.String domain;
    
    @Column(name = "domain",length = 100)
    public java.lang.String getDomain(){
        return this.domain;
    }
    
    public void setDomain(java.lang.String domain){
        this.domain = domain;
        super.addValidField("domain");
    }
    
  
    /** name
    *套餐名
    */ 
    private java.lang.String name;
    
    @Column(name = "name",length = 100)
    public java.lang.String getName(){
        return this.name;
    }
    
    public void setName(java.lang.String name){
        this.name = name;
        super.addValidField("name");
    }
    
  
    /** expired_num
    *过期数
    */ 
    private java.lang.Integer expiredNum;
    
    @Column(name = "expired_num",length = 10)
    public java.lang.Integer getExpiredNum(){
        return this.expiredNum;
    }
    
    public void setExpiredNum(java.lang.Integer expiredNum){
        this.expiredNum = expiredNum;
        super.addValidField("expiredNum");
    }
    
  
    /** expired_type
    *套餐过期类型   day-天 month-月 year-年 indefinite-无限期
    */ 
    private java.lang.String expiredType;
    
    @Column(name = "expired_type",length = 100)
    public java.lang.String getExpiredType(){
        return this.expiredType;
    }
    
    public void setExpiredType(java.lang.String expiredType){
        this.expiredType = expiredType;
        super.addValidField("expiredType");
    }
    
  
    /** amount
    *支付金额(分)
    */ 
    private java.lang.Integer amount;
    
    @Column(name = "amount",length = 10)
    public java.lang.Integer getAmount(){
        return this.amount;
    }
    
    public void setAmount(java.lang.Integer amount){
        this.amount = amount;
        super.addValidField("amount");
    }
    
  
    /** resource_count
    *资源数
    */ 
    private java.lang.Integer resourceCount;
    
    @Column(name = "resource_count",length = 10)
    public java.lang.Integer getResourceCount(){
        return this.resourceCount;
    }
    
    public void setResourceCount(java.lang.Integer resourceCount){
        this.resourceCount = resourceCount;
        super.addValidField("resourceCount");
    }
    
  
    /** original_price
    *原价 (分)
    */ 
    private java.lang.Integer originalPrice;
    
    @Column(name = "original_price",length = 10)
    public java.lang.Integer getOriginalPrice(){
        return this.originalPrice;
    }
    
    public void setOriginalPrice(java.lang.Integer originalPrice){
        this.originalPrice = originalPrice;
        super.addValidField("originalPrice");
    }
    
  
    /** is_show_original_price
    *是否显示原价
    */ 
    private java.lang.String isShowOriginalPrice;
    
    @Column(name = "is_show_original_price",length = 1)
    public java.lang.String getIsShowOriginalPrice(){
        return this.isShowOriginalPrice;
    }
    
    public void setIsShowOriginalPrice(java.lang.String isShowOriginalPrice){
        this.isShowOriginalPrice = isShowOriginalPrice;
        super.addValidField("isShowOriginalPrice");
    }
    
  
    /** sort
    *排序
    */ 
    private java.lang.Integer sort;
    
    @Column(name = "sort",length = 10)
    public java.lang.Integer getSort(){
        return this.sort;
    }
    
    public void setSort(java.lang.Integer sort){
        this.sort = sort;
        super.addValidField("sort");
    }
    
  
    /** description
    *套餐描述
    */ 
    private java.lang.String description;
    
    @Column(name = "description",length = 225)
    public java.lang.String getDescription(){
        return this.description;
    }
    
    public void setDescription(java.lang.String description){
        this.description = description;
        super.addValidField("description");
    }
    
  
    /** extra_data
    *拓展-资源额外配置
    */ 
    private java.lang.String extraData;
    
    @Column(name = "extra_data",length = 1073741824)
    public java.lang.String getExtraData(){
        return this.extraData;
    }
    
    public void setExtraData(java.lang.String extraData){
        this.extraData = extraData;
        super.addValidField("extraData");
    }
    
  
    /** is_deleted
    *是否删除 Y 是  N 否
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted",length = 1)
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private java.lang.String creator;
    
    @Column(name = "CREATOR",length = 11)
    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
        super.addValidField("creator");
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME",length = 19)
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;
    
    @Column(name = "MODIFIER",length = 11)
    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
        super.addValidField("modifier");
    }
    
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME",length = 19)
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }
    
  
    /** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;
    
    @Column(name = "SYS_VERSION",length = 10)
	@Version
    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }
    

}