package cn.com.poc.equity.model;	

import java.io.Serializable;
import cn.com.yict.framemax.data.model.BaseModelClass;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Version;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;

/**
 * Model class for biz_point_deduction_rules
 * 积分扣减规则
 */
@Entity
@Table(name = "biz_point_deduction_rules")
@DynamicInsert
@DynamicUpdate
public class BizPointDeductionRulesModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** id
    *主键id
    */ 
    private java.lang.Integer id;
    
    @Column(name = "id",length = 10)
	@Id @GeneratedValue(strategy = GenerationType.AUTO) 
    public java.lang.Integer getId(){
        return this.id;
    }
    
    public void setId(java.lang.Integer id){
        this.id = id;
        super.addValidField("id");
    }
    
  
    /** rule_type
    *规则类型: model-模型 、plugin-插件 、knowledge-知识库、communication_turn-对话轮次
    */ 
    private java.lang.String ruleType;
    
    @Column(name = "rule_type",length = 20)
    public java.lang.String getRuleType(){
        return this.ruleType;
    }
    
    public void setRuleType(java.lang.String ruleType){
        this.ruleType = ruleType;
        super.addValidField("ruleType");
    }
    
  
    /** dedction_rule
    *扣减规则类型：deduction-扣减 free-免费
    */ 
    private java.lang.String dedctionRule;
    
    @Column(name = "dedction_rule",length = 15)
    public java.lang.String getDedctionRule(){
        return this.dedctionRule;
    }
    
    public void setDedctionRule(java.lang.String dedctionRule){
        this.dedctionRule = dedctionRule;
        super.addValidField("dedctionRule");
    }
    
  
    /** relation_id
    *关联主键， 如模型主键，知识库主键，插件主键
    */ 
    private java.lang.String relationId;
    
    @Column(name = "relation_id",length = 100)
    public java.lang.String getRelationId(){
        return this.relationId;
    }
    
    public void setRelationId(java.lang.String relationId){
        this.relationId = relationId;
        super.addValidField("relationId");
    }
    
  
    /** number
    *扣减数-两位小数偏移；  如 1.91积分 = 191
    */ 
    private java.lang.Long number;
    
    @Column(name = "number",length = 19)
    public java.lang.Long getNumber(){
        return this.number;
    }
    
    public void setNumber(java.lang.Long number){
        this.number = number;
        super.addValidField("number");
    }
    
  
    /** is_deleted
    *是否删除 Y 是  N 否
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted",length = 1)
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private java.lang.String creator;
    
    @Column(name = "CREATOR",length = 50)
    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
        super.addValidField("creator");
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME",length = 19)
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;
    
    @Column(name = "MODIFIER",length = 50)
    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
        super.addValidField("modifier");
    }
    
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME",length = 19)
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }
    
  
    /** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;
    
    @Column(name = "SYS_VERSION",length = 10)
	@Version
    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }
    

}